{#

1 2 3
4 5 6

A
8 9 10 11

B
12 13
14 15

&}
program mrd_rs;
uses mtx09;
var
  m: mtx;
  s: string = 'mrd_rs.pas';
  f: text;
begin
  mrd(m,s);
  mwr(m);
  mrd(m,s); // To read several mtx one must
  mwr(m);   // read from a stream
  mwr('----');
  opn(s,f);
  while mrd(m,f) do mwr(m);
  mwr('====')
end.
